Skip to main content

Create Location Asset Resource

API Description

Create a new location asset resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/locations/{locationId}/assets
Path Example
POST {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.assetDetails
REQUIRED
Example Request Body (raw JSON)
{
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 366406af-3e43-44e4-911f-40d82c84dac1
content-type: application/json
etag: "6dcf26de-ddd3-11ec-9ee0-ff92bc6c8483"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets/9467895078742654901

Response Body

NameOutput
$.orgId
REQUIRED
$.locationId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.assetDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654901",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-01T17:22:19.00Z",
"state": "SUBMITTED",
"etag": "6dcf26de-ddd3-11ec-9ee0-ff92bc6c8483",
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
},
"validationReports": []
}